#
#  Copyright (c) 2012, Texas Instruments Incorporated
#  All rights reserved.
#
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions
#  are met:
#
#  *  Redistributions of source code must retain the above copyright
#     notice, this list of conditions and the following disclaimer.
#
#  *  Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in the
#     documentation and/or other materials provided with the distribution.
#
#  *  Neither the name of Texas Instruments Incorporated nor the names of
#     its contributors may be used to endorse or promote products derived
#     from this software without specific prior written permission.
#
#  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
#  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
#  THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
#  PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
#  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
#  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
#  PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
#  OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
#  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
#  OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
#  EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

#
#  Examples for various platforms
#

# Available for all platforms

example_apps :=

ifeq ("$(DEVICE)","OMAP4430")
    example_apps += ex03_ivahd_lateacquire_demo
endif

example_apps += ex02_dskt2_alg_mgmt
example_apps += ex04_generic_rman_example

ifeq ("$(DEVICE)","TI816X")
    example_apps += ex01_universal_dma_copy_dsp
    example_apps += ex03_ivahd_lateacquire_demo 
    
else ifeq ("$(DEVICE)","TI814X")
    example_apps += ex01_universal_dma_copy_dsp
    example_apps += ex03_ivahd_lateacquire_demo 

else ifeq ("$(DEVICE)","OMAP3530")
   example_apps += ex01_universal_dma_copy_dsp

else ifeq ("$(DEVICE)","C6472")
   example_apps += ex01_universal_dma_copy_core0
   example_apps += ex02_universal_dma_copy

else ifeq ("$(DEVICE)","C6474")
   example_apps += ex01_universal_dma_copy_core0
   example_apps += ex02_universal_dma_copy

else ifeq ("$(DEVICE)","C6670")
   example_apps += ex01_universal_dma_copy_core0
   example_apps += ex02_universal_dma_copy

else ifeq ("$(DEVICE)","C6678")
   example_apps += ex01_universal_dma_copy_core0
   example_apps += ex02_universal_dma_copy

endif



